### Property

# EDataServer SourceAuthentication:credential-name

#### Declaration

    property credential-name: utf8 [ read, write, construct ]

#### Description [src]

What name to use for the authentication method in credentials for authentication.

An empty string or `NULL` means to use E_SOURCE_CREDENTIAL_PASSWORD to pass the stored “password” into the backend with e_source_invoke_authenticate()/_sync().

Type:`gchar*`

Default value | NULL
Getter method | `e_source_authentication_get_credential_name()`
Setter method | `e_source_authentication_set_credential_name()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no